%define major           1
%define libname         %mklibname xmlsec1_ %{major}
%define libname_gnutls  %mklibname xmlsec1-gnutls %{major}
%define libname_nss     %mklibname xmlsec1-nss %{major}
%define libname_openssl %mklibname xmlsec1-openssl %{major}
%define libname_gcrypt  %mklibname xmlsec1-gcrypt %{major}
%define devname         %mklibname xmlsec1 -d

Summary:	Library providing support for "XML Signature" and "XML Encryption" standards
Name:		xmlsec1
Version:	1.2.37
%define subrel 1
Release:	%mkrel 1
License:	MIT
Group:		Development/C
Url:		https://www.aleksey.com/xmlsec
Source0:	https://www.aleksey.com/xmlsec/download/%{name}-%{version}.tar.gz
Patch1:		xmlsec1-1.2.16-linkage.patch
BuildRequires:	libtool-devel
BuildRequires:	libgcrypt-devel >= 1.4.0
BuildRequires:	pkgconfig(gnutls) >= 2.8.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.7.4
BuildRequires:	pkgconfig(libxslt) >= 1.0.20
BuildRequires:	pkgconfig(nspr) >= 4.4.1
BuildRequires:	pkgconfig(nss) >= 3.9
BuildRequires:	pkgconfig(openssl)

%description
XML Security Library is a C library based on LibXML2  and OpenSSL.
The library was created with a goal to support major XML security
standards "XML Digital Signature" and "XML Encryption".

%package -n %{libname}
Summary:	Library providing support for "XML Signature" and "XML Encryption" standards
Group:		Development/C

%description -n %{libname}
XML Security Library is a C library based on LibXML2  and OpenSSL.
The library was created with a goal to support major XML security
standards "XML Digital Signature" and "XML Encryption".

%package -n %{libname_openssl}
Summary:	OpenSSL crypto plugin for XML Security Library
Group:		Development/C

%description -n %{libname_openssl}
OpenSSL plugin for XML Security Library provides OpenSSL based crypto services
for the xmlsec library.

%package -n %{libname_nss}
Summary:	NSS crypto plugin for XML Security Library
Group:		Development/C

%description -n %{libname_nss}
NSS plugin for XML Security Library provides NSS based crypto services
for the xmlsec library.

%package -n %{libname_gnutls}
Summary:	Gnutls crypto plugin for XML Security Library
Group:		Development/C

%description -n %{libname_gnutls}
gnutls plugin for XML Security Library provides gnutls based crypto services
for the xmlsec library.

%package -n %{libname_gcrypt}
Summary:	Gcrypt crypto plugin for XML Security Library
Group:		Development/C

%description -n %{libname_gcrypt}
gcrypt plugin for XML Security Library provides gcrypt based crypto services
for the xmlsec library.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_openssl} = %{version}-%{release}
Requires:	%{libname_gnutls} = %{version}-%{release}
Requires:	%{libname_nss} = %{version}-%{release}
Requires:	%{libname_gcrypt} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Libraries, includes, etc. you can use to develop applications with XML Digital
Signatures and XML Encryption support.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static \
           --disable-crypto-dl \
           --disable-apps-crypto-dl \
           --enable-openssl3-engines
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/xmlsec1
%{_mandir}/man1/xmlsec1.1*

%files -n %{libname}
%{_libdir}/libxmlsec1.so.%{major}{,.*}

%files -n %{libname_openssl}
%{_libdir}/libxmlsec1-openssl.so.%{major}{,.*}

%files -n %{libname_nss}
%{_libdir}/libxmlsec1-nss.so.%{major}{,.*}

%files -n %{libname_gnutls}
%{_libdir}/libxmlsec1-gnutls.so.%{major}{,.*}

%files -n %{libname_gcrypt}
%{_libdir}/libxmlsec1-gcrypt.so.%{major}{,.*}

%files -n %{devname}
%doc AUTHORS HACKING ChangeLog NEWS README.md Copyright
%{_bindir}/xmlsec1-config
%{_includedir}/xmlsec1/
%{_datadir}/aclocal/xmlsec1.m4
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/xmlsec1Conf.sh
%{_docdir}/xmlsec1/
%{_mandir}/man1/xmlsec1-config.1*


%changelog
* Thu Oct 19 2023 daviddavid <daviddavid> 1.2.37-1.1.mga9
+ Revision: 1999356
- disable dynamic loading support for xmlsec-crypto libraries and dynamic
  loading support for xmlsec-crypto libraries in xmlsec command line tool
  thus fixing xmlsec1 command line failure due to missing unversionned
  libxmlsec1-openssl.so (mga#32401)
- do not mark manpages as %%doc

* Tue Dec 06 2022 daviddavid <daviddavid> 1.2.37-1.mga9
+ Revision: 1918385
- new version: 1.2.37

* Sat Nov 26 2022 daviddavid <daviddavid> 1.2.36-1.mga9
+ Revision: 1911216
- new version: 1.2.36

* Thu Oct 20 2022 ns80 <ns80> 1.2.34-2.mga9
+ Revision: 1897918
- rebuild for new libxml2

* Thu Aug 11 2022 neoclust <neoclust> 1.2.34-1.mga9
+ Revision: 1876988
- New version 1.2.34

* Fri Mar 18 2022 luigiwalser <luigiwalser> 1.2.33-1.mga9
+ Revision: 1798909
- 1.2.33
+ wally <wally>
- rebuild for openssl 3.0.0

* Fri Aug 06 2021 luigiwalser <luigiwalser> 1.2.32-1.mga9
+ Revision: 1739899
- 1.2.32

* Sun Nov 29 2020 luigiwalser <luigiwalser> 1.2.31-1.mga8
+ Revision: 1650079
- 1.2.31

* Thu Apr 23 2020 daviddavid <daviddavid> 1.2.30-1.mga8
+ Revision: 1571174
- new version: 1.2.30

* Thu Feb 20 2020 umeabot <umeabot> 1.2.29-2.mga8
+ Revision: 1547354
- Mageia 8 Mass Rebuild

* Sat Feb 08 2020 daviddavid <daviddavid> 1.2.29-1.mga8
+ Revision: 1487964
- new version: 1.2.29, fixes CVE-2017-1000061 (mga#26174)

* Sun Apr 21 2019 daviddavid <daviddavid> 1.2.28-1.mga7
+ Revision: 1394275
- new version: 1.2.28

* Sun Nov 11 2018 daviddavid <daviddavid> 1.2.27-1.mga7
+ Revision: 1329472
- new version: 1.2.27

* Sun Sep 23 2018 umeabot <umeabot> 1.2.26-2.mga7
+ Revision: 1301938
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 daviddavid <daviddavid> 1.2.26-1.mga7
+ Revision: 1252115
- new version: 1.2.26

* Sat Feb 10 2018 daviddavid <daviddavid> 1.2.25-1.mga7
+ Revision: 1200025
- new version: 1.2.25

* Tue Aug 22 2017 neoclust <neoclust> 1.2.24-1.mga7
+ Revision: 1142824
- New version 1.2.24 - Fixes CVE-2017-1000061 (mga#21586)

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.2.20-5.mga6
+ Revision: 921849
- rebuild for gnutls

* Thu Sep 10 2015 fwang <fwang> 1.2.20-4.mga6
+ Revision: 875365
- rebuild for new libgcrypt

* Wed Oct 15 2014 umeabot <umeabot> 1.2.20-3.mga5
+ Revision: 743990
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.20-2.mga5
+ Revision: 690706
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 fwang <fwang> 1.2.20-1.mga5
+ Revision: 660808
- 1.2.20

* Wed Feb 12 2014 fwang <fwang> 1.2.19-1.mga5
+ Revision: 589650
- update file list
- tweat file
- imported package xmlsec1

